{
  "type": "core",
  "name": "base",
  "version": "8.1.0",
  "revision": "10064",
  "path": "\/",
  "repository": null,
  "sku": null,
  "date": "Wed, 12 Aug 2026 04:35:27 +0000",
  "title": "Base",
  "description": "Base",
  "thumb": null,
  "developer": null,
  "authors": [
    "SocialEngine Core"
  ],
  "meta": {
    "date": "Wed, 12 Aug 2026 04:35:27 +0000",
    "title": "Base",
    "description": "Base",
    "developer": null,
    "authors": [
      "SocialEngine Core"
    ],
    "changeLog": null
  },
  "actions": [
    "install",
    "upgrade",
    "refresh"
  ],
  "callback": null,
  "dependencies": null,
  "tests": [
    {
      "type": "PhpVersion",
      "name": "PHP 8",
      "minVersion": "8.2"
    },
    {
      "type": "ApacheModule",
      "name": "mod_rewrite",
      "module": "mod_rewrite",
      "defaultErrorType": 1,
      "messages": {
        "noModule": "mod_rewrite does not appear to be available. This is OK, but it might prevent you from having search engine-friendly URLs."
      }
    },
    {
      "type": "PhpConfig",
      "name": "PHP Safe Mode OFF",
      "directive": "safe_mode",
      "comparisonMethod": "l",
      "comparisonValue": 1,
      "messages": {
        "badValue": "PHP Safe Mode is currently ON - please turn it off and try again."
      }
    },
    {
      "type": "PhpConfig",
      "name": "PHP Register Globals OFF",
      "directive": "register_globals",
      "comparisonMethod": "l",
      "comparisonValue": 1,
      "messages": {
        "badValue": "PHP Register Globals is currently ON - please turn it off and try again."
      }
    },
    {
      "type": "PhpExtension",
      "name": "GD",
      "extension": "gd",
      "messages": {
        "noExtension": "The GD Image Library is required for resizing images."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Imagick",
      "extension": "imagick",
      "defaultErrorType": 1,
      "messages": {
        "noExtension": "For optimal results with GIF images, we recommend adding the Imagick extension."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Iconv",
      "extension": "iconv",
      "defaultErrorType": 1,
      "messages": {
        "noExtension": "The Iconv library is recommended for languages other than English."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Multi-byte String",
      "extension": "mbstring",
      "messages": {
        "noExtension": "The Multi-byte String (mbstring) library is required."
      }
    },
    {
      "type": "PhpExtension",
      "name": "PCRE",
      "extension": "pcre",
      "messages": {
        "noExtension": "The Perl-Compatible Regular Expressions extension is required."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Curl",
      "extension": "curl",
      "messages": {
        "noExtension": "The Curl extension is required."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Session",
      "extension": "session",
      "messages": {
        "noExtension": "Session support is required."
      }
    },
    {
      "type": "PhpExtension",
      "name": "DOM",
      "extension": "dom",
      "defaultErrorType": 1,
      "messages": {
        "noExtension": "The DOM (Document Object Model) extension is required for RSS feed parsing and link attachments."
      }
    },
    {
      "type": "PhpExtension",
      "name": "Exif",
      "extension": "exif",
      "defaultErrorType": 1,
      "messages": {
        "noExtension": "The Exif extension is required for enabling correct rotation of photos uploaded via mobile devices."
      }
    },
    {
      "type": "FilePermission",
      "name": "Public Directory Permissions",
      "defaultErrorType": 1,
      "path": "public",
      "value": 7,
      "recursive": true,
      "ignoreFiles": true,
      "messages": {
        "insufficientPermissions": "Please log in over FTP and set CHMOD 0777 (recursive) on the public\/ directory"
      }
    },
    {
      "type": "Multi",
      "name": "Temp Directory Permissions",
      "defaultErrorType": 1,
      "allForOne": false,
      "breakOnFailure": true,
      "messages": {
        "oneTestFailed": "Please log in over FTP and set CHMOD 0777 (recursive) on the temporary\/ directory",
        "someTestsFailed": "Please log in over FTP and set CHMOD 0777 (recursive) on the temporary\/ directory",
        "allTestsFailed": "Please log in over FTP and set CHMOD 0777 (recursive) on the temporary\/ directory"
      },
      "tests": [
        {
          "type": "FilePermission",
          "path": "temporary",
          "value": 7
        },
        {
          "type": "FilePermission",
          "path": "temporary\/cache",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/log",
          "recursive": true,
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/package",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/package\/archives",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/package\/packages",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/package\/repositories",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/scaffold",
          "value": 7,
          "ignoreMissing": true
        },
        {
          "type": "FilePermission",
          "path": "temporary\/session",
          "value": 7,
          "ignoreMissing": true
        }
      ]
    },
    {
      "type": "FilePermission",
      "name": "Packages Directory Permissions",
      "defaultErrorType": 1,
      "path": "application\/packages",
      "value": 7,
      "recursive": true,
      "ignoreFiles": true,
      "messages": {
        "insufficientPermissions": "Please log in over FTP and set CHMOD 0777 (recursive) on the application\/packages\/ directory"
      }
    },
    {
      "type": "FilePermission",
      "name": "Settings Directory Permissions",
      "defaultErrorType": 1,
      "path": "application\/settings",
      "value": 7,
      "recursive": true,
      "messages": {
        "insufficientPermissions": "Please log in over FTP and set CHMOD 0777 (recursive) on the application\/settings\/ directory"
      }
    },
    {
      "type": "FilePermission",
      "name": "Language Directory Permissions",
      "defaultErrorType": 1,
      "path": "application\/languages",
      "value": 7,
      "recursive": true,
      "messages": {
        "insufficientPermissions": "Please log in over FTP and set CHMOD 0777 (recursive) on the application\/languages\/ directory"
      }
    },
    {
      "type": "FilePermission",
      "name": "Theme Directory Permissions",
      "defaultErrorType": 1,
      "path": "application\/themes",
      "value": 7,
      "recursive": true,
      "messages": {
        "insufficientPermissions": "Please log in over FTP and set CHMOD 0777 (recursive) on the application\/themes\/ directory"
      }
    }
  ],
  "permissions": [
    
  ],
  "structure": {
    ".htaccess": {
      "type": "file",
      "path": ".htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 1108,
        "sha1": "017569e3e081bba3542c9a5ce1d7e52df3dadaa8"
      }
    },
    "crossdomain.xml": {
      "type": "file",
      "path": "crossdomain.xml",
      "structure": {
        "path": "crossdomain.xml",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 240,
        "sha1": "2207e9730e32c0a6ec73f746892759b7b7658a7c"
      }
    },
    "README.html": {
      "type": "file",
      "path": "README.html",
      "structure": {
        "path": "README.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 22199,
        "sha1": "cb57a71dddb3dc587296aac342ce2b5917d2bc73"
      }
    },
    "index.php": {
      "type": "file",
      "path": "index.php",
      "structure": {
        "path": "index.php",
        "dir": false,
        "file": true,
        "perms": "0755",
        "size": 930,
        "sha1": "c98251c5b9a28fdbf9a516dfde30af116cfc972c"
      }
    },
    "boot.php": {
      "type": "file",
      "path": "boot.php",
      "structure": {
        "path": "boot.php",
        "dir": false,
        "file": true,
        "perms": "0755",
        "size": 1956,
        "sha1": "0b0d8898352ab54bbbeff4e243e9d84373a1b32a"
      }
    },
    "engineFunctions.php": {
      "type": "file",
      "path": "engineFunctions.php",
      "structure": {
        "path": "engineFunctions.php",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 477,
        "sha1": "7487992142d072a48b61ea1c01e65f6674b04cd1"
      }
    },
    "robots.txt": {
      "type": "file",
      "path": "robots.txt",
      "structure": {
        "path": "robots.txt",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 160,
        "sha1": "4e57d39091f0f8afaae9f12980a465ee6e195216"
      }
    },
    "rpx_xdcomm.html": {
      "type": "file",
      "path": "rpx_xdcomm.html",
      "structure": {
        "path": "rpx_xdcomm.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 521,
        "sha1": "2dc51845f60606b58a9412071543c1d55a848f0e"
      }
    },
    "xd_receiver.htm": {
      "type": "file",
      "path": "xd_receiver.htm",
      "structure": {
        "path": "xd_receiver.htm",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 435,
        "sha1": "a87983cadd3b68a7b309cde69e8aba526795ae2e"
      }
    },
    "application\/.htaccess": {
      "type": "file",
      "path": "application\/.htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 719,
        "sha1": "65d137edb9300eddf37c9d90ccf1266eb67b1559"
      }
    },
    "application\/cli.php": {
      "type": "file",
      "path": "application\/cli.php",
      "structure": {
        "path": "cli.php",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 2455,
        "sha1": "36ca3204e168e1bdf2c70651c35f0eea57d6cbc9"
      }
    },
    "application\/css.php": {
      "type": "file",
      "path": "application\/css.php",
      "structure": {
        "path": "css.php",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 4262,
        "sha1": "96c705b4b197f60613bb4bd011ae6704ca853de5"
      }
    },
    "application\/index.php": {
      "type": "file",
      "path": "application\/index.php",
      "structure": {
        "path": "index.php",
        "dir": false,
        "file": true,
        "perms": "0755",
        "size": 11715,
        "sha1": "f2f89f1c79e041f4e0cdd1ed7f09374151e6add4"
      }
    },
    "application\/lite.php": {
      "type": "file",
      "path": "application\/lite.php",
      "structure": {
        "path": "lite.php",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 1795,
        "sha1": "5aefe5b2bdc3b948e9383c5abb97a4dc4890548c"
      }
    },
    "application\/maintenance.html": {
      "type": "file",
      "path": "application\/maintenance.html",
      "structure": {
        "path": "maintenance.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 4538,
        "sha1": "66d6ab04c29ac6883bc74237e47422e4d3515e36"
      }
    },
    "application\/offline.html": {
      "type": "file",
      "path": "application\/offline.html",
      "structure": {
        "path": "offline.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 3967,
        "sha1": "9c0435a52f6bbda960f6762b81112cd1b47f344f"
      }
    },
    "application\/libraries\/index.html": {
      "type": "file",
      "path": "application\/libraries\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "application\/modules\/index.html": {
      "type": "file",
      "path": "application\/modules\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "application\/packages\/index.html": {
      "type": "file",
      "path": "application\/packages\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 0,
        "sha1": "da39a3ee5e6b4b0d3255bfef95601890afd80709"
      }
    },
    "application\/plugins\/index.html": {
      "type": "file",
      "path": "application\/plugins\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "application\/themes\/index.html": {
      "type": "file",
      "path": "application\/themes\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "application\/themes\/.htaccess": {
      "type": "file",
      "path": "application\/themes\/.htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 1042,
        "sha1": "6c835f103d253edf70bfd5ba2430ebe3fa8cacdd"
      }
    },
    "application\/widgets\/index.html": {
      "type": "file",
      "path": "application\/widgets\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "externals\/.htaccess": {
      "type": "file",
      "path": "externals\/.htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 1024,
        "sha1": "495a3db845ad0bf448a2e2847d10d6d4f4177530"
      }
    },
    "externals\/index.html": {
      "type": "file",
      "path": "externals\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "public\/.htaccess": {
      "type": "file",
      "path": "public\/.htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 569,
        "sha1": "959236c55e2c9b7d6c0886747c7f0f741d8f83e5"
      }
    },
    "public\/admin\/index.html": {
      "type": "file",
      "path": "public\/admin\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "public\/temporary\/index.html": {
      "type": "file",
      "path": "public\/temporary\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "public\/user\/index.html": {
      "type": "file",
      "path": "public\/user\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0644",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "temporary\/.htaccess": {
      "type": "file",
      "path": "temporary\/.htaccess",
      "structure": {
        "path": ".htaccess",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 30,
        "sha1": "c1ec27ac16cd817b2308b953d668223bfa8fc3de"
      }
    },
    "temporary\/backup\/index.html": {
      "type": "file",
      "path": "temporary\/backup\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 0,
        "sha1": "da39a3ee5e6b4b0d3255bfef95601890afd80709"
      }
    },
    "temporary\/cache\/index.html": {
      "type": "file",
      "path": "temporary\/cache\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/log\/index.html": {
      "type": "file",
      "path": "temporary\/log\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/log\/scaffold\/index.html": {
      "type": "file",
      "path": "temporary\/log\/scaffold\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/package\/index.html": {
      "type": "file",
      "path": "temporary\/package\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/package\/archives\/index.html": {
      "type": "file",
      "path": "temporary\/package\/archives\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 187,
        "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
      }
    },
    "temporary\/package\/manifests\/index.html": {
      "type": "file",
      "path": "temporary\/package\/manifests\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/package\/packages\/index.html": {
      "type": "file",
      "path": "temporary\/package\/packages\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/package\/repositories\/index.html": {
      "type": "file",
      "path": "temporary\/package\/repositories\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/package\/sdk\/index.html": {
      "type": "file",
      "path": "temporary\/package\/sdk\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/scaffold\/index.html": {
      "type": "file",
      "path": "temporary\/scaffold\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "temporary\/session\/index.html": {
      "type": "file",
      "path": "temporary\/session\/index.html",
      "structure": {
        "path": "index.html",
        "dir": false,
        "file": true,
        "perms": "0777",
        "size": 196,
        "sha1": "455125f35129f861011dd39f5417dcf8cc9ada25"
      }
    },
    "application\/settings": {
      "type": "directory",
      "path": "application\/settings",
      "structure": [
        {
          "path": "my.sql",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 198278,
          "sha1": "73a95d90898f0088808ce0d8e88fa188add1a45f"
        },
        {
          "path": "mail.sample.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 311,
          "sha1": "7bff96dc19cabadb176c829534e431d20afe744e"
        },
        {
          "path": "manifest.php",
          "dir": false,
          "file": true,
          "perms": "0755",
          "size": 11436,
          "sha1": "b6606d3cf45a1b62e48fe3e40936ca87332614f2"
        },
        {
          "path": "constants.xml",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 8921,
          "sha1": "bf40cd7430f23b89ac2184699fe43742fe02fe44"
        },
        {
          "path": "warehouse.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 366,
          "sha1": "ebbb3691ae1d7e96aa5dcdfd102d8f2492fd7c5b"
        },
        {
          "path": "repositories.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 363,
          "sha1": "f7e55458703baf1ed1fac59f3f5e5578e1ce1ce1"
        },
        {
          "path": "scaffold.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 4912,
          "sha1": "75683903281d32cdb9a0b44e8b7b99ac8a47de7e"
        },
        {
          "path": "general.sample.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 360,
          "sha1": "c831554068f65f2c284f071a347d44442037880d"
        },
        {
          "path": "session.sample.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 563,
          "sha1": "42f5b2ed83a6d97e252e5a089cc827df7fe1aad8"
        },
        {
          "path": "cache.sample.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 585,
          "sha1": "ab8ef3f95d8f85da0f8df861ba74aa63fce3e38f"
        },
        {
          "path": "index.html",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 187,
          "sha1": "50060ff9c1a03efb51b129d3b0ee84f0a0b4e761"
        },
        {
          "path": "database.sample.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 597,
          "sha1": "cee69ec8de306aedb7d774763c86ace57f880b70"
        }
      ]
    },
    "vendor": {
      "type": "directory",
      "path": "vendor",
      "structure": [
        
      ]
    },
    "boot": {
      "type": "directory",
      "path": "boot",
      "structure": [
        {
          "path": "Sesapi.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 430,
          "sha1": "d726ddd2c62dc171ec14097661f858d816e47d44"
        },
        {
          "path": "Abstract.php",
          "dir": false,
          "file": true,
          "perms": "0755",
          "size": 472,
          "sha1": "817b789f3bcdd8101ce25db1f9a2573083cda389"
        }
      ]
    },
    "apps": {
      "type": "directory",
      "path": "apps",
      "structure": [
        {
          "path": "sesapi.php",
          "dir": false,
          "file": true,
          "perms": "0644",
          "size": 1271,
          "sha1": "1887897881f3215eaa06eb86bc76a6c0ef54399f"
        }
      ]
    }
  }
}